#
# spec file for package libxcb
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname   libxcb1
%if 0%{?suse_version} >= 1500
%bcond_with python2
%else
%bcond_without python2
%endif
Name:           libxcb
Version:        1.13
Release:        lp152.5.3.1
Summary:        X11 core protocol C library
License:        MIT
Group:          Development/Libraries/C and C++
Url:            http://xcb.freedesktop.org/
#Git-Clone:	git://anongit.freedesktop.org/xcb/libxcb
#Git-Web:	http://cgit.freedesktop.org/xcb/libxcb/
#DL-URL:	http://xcb.freedesktop.org/dist/
Source:         %{name}-%{version}.tar.bz2
Source1:        baselibs.conf
Patch1:         bug-262309_xcb-xauthlocalhostname.diff
Patch2:         n_If-auth-with-credentials-for-hostname-fails-retry-with-XAUTHLOCALHOSTNAME.patch
Patch3:         u_don-t-flag-extra-reply-in-xcb_take_socket.patch
BuildRequires:  autoconf >= 2.57
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(check) >= 0.9.4
BuildRequires:  pkgconfig(pthread-stubs)
BuildRequires:  pkgconfig(xau) >= 0.99.2
BuildRequires:  pkgconfig(xcb-proto) >= 1.12
BuildRequires:  pkgconfig(xorg-macros) >= 1.18
%if %{with python2}
BuildRequires:  python-base >= 2.6
BuildRequires:  python-xcb-proto-devel >= 7.6_1.12
BuildRequires:  python-xml
%else
BuildRequires:  python3-base
BuildRequires:  python3-xcb-proto-devel >= 7.6_1.12
BuildRequires:  python3-xml
%endif

%description
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

%package -n libxcb1
Summary:        X11 core protocol C library
Group:          System/Libraries
Provides:       xorg-x11-libxcb = 7.6_%{version}-%{release}
Obsoletes:      xorg-x11-libxcb < 7.6_%{version}-%{release}

%description -n libxcb1
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

%package -n libxcb-composite0
Summary:        X11 Composite Extension C library
Group:          System/Libraries

%description -n libxcb-composite0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

The Composite extension causes a entire sub-tree of the window
hierarchy to be rendered to an off-screen buffer. Applications can
then take the contents of that buffer and do whatever they like. The
off-screen buffer can be automatically merged into the parent window
or merged by external programs, called compositing managers.

%package -n libxcb-damage0
Summary:        X11 Damage Extension C library
Group:          System/Libraries

%description -n libxcb-damage0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

The X Damage Extension allows applications to track modified regions
of drawables.

%package -n libxcb-dpms0
Summary:        X11 DPMS Extension C library
Group:          System/Libraries

%description -n libxcb-dpms0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

%package -n libxcb-dri2-0
Summary:        X11 DRI2 Extension C library
Group:          System/Libraries

%description -n libxcb-dri2-0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

%package -n libxcb-dri3-0
Summary:        X11 DRI3 Extension C library
Group:          System/Libraries

%description -n libxcb-dri3-0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

%package -n libxcb-glx0
Summary:        X11 GLX Extension C library
Group:          System/Libraries

%description -n libxcb-glx0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

%package -n libxcb-randr0
Summary:        X11 RandR Extension C library
Group:          System/Libraries

%description -n libxcb-randr0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

The X Resize, Rotate and Reflect Extension (RandR) allows clients to
dynamically change X screens, so as to resize, to change the
orientation and layout of the root window of a screen.

%package -n libxcb-record0
Summary:        X11 RECORD Extension C library
Group:          System/Libraries

%description -n libxcb-record0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

The RECORD extension supports the recording and reporting of all core
X protocol and arbitrary X extension protocol.

%package -n libxcb-render0
Summary:        X11 Render Extension C library
Group:          System/Libraries

%description -n libxcb-render0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

%package -n libxcb-res0
Summary:        X11 Resource Extension C library
Group:          System/Libraries

%description -n libxcb-res0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

%package -n libxcb-screensaver0
Summary:        X11 ScreenSaver Extension C library
Group:          System/Libraries

%description -n libxcb-screensaver0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

The X Window System provides support for changing the image on a
display screen after a user-settable period of inactivity to avoid
burning the cathode ray tube phosphors. This extension allows an
external "screen saver" client to detect when the alternate image is
to be displayed and to provide the graphics.

%package -n libxcb-shape0
Summary:        X11 Shape Extension C library
Group:          System/Libraries

%description -n libxcb-shape0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

- X11 Nonrectangular Window Shape extension (Xshape)

%package -n libxcb-shm0
Summary:        X11 Shared Memory Extension C library
Group:          System/Libraries

%description -n libxcb-shm0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

The MIT Shared Memory (MIT-SHM) Extension allows exchanging image
data between client and server using shared memory, so that it does
not need to be transferred over sockets.

%package -n libxcb-sync1
Summary:        X11 Sync Extension C library
Group:          System/Libraries

%description -n libxcb-sync1
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

%package -n libxcb-present0
Summary:        X11 Present Extension C library
Group:          System/Libraries

%description -n libxcb-present0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

%package -n libxcb-xf86dri0
Summary:        X11 XFree86-DRI Extension C library
Group:          System/Libraries

%description -n libxcb-xf86dri0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

%package -n libxcb-xfixes0
Summary:        X11 Xfixes Extension C library
Group:          System/Libraries

%description -n libxcb-xfixes0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

The X Fixes extension provides applications with work-arounds for
various limitations in the core protocol.

%package -n libxcb-xkb1
Summary:        X11 Keyboard Extension C library
Group:          System/Libraries

%description -n libxcb-xkb1
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

Xkb extends the ability to control the keyboard
over what is offered by the X Window System core protocol.

%package -n libxcb-xinerama0
Summary:        X11 Xinerama Extension C library
Group:          System/Libraries

%description -n libxcb-xinerama0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

Xinerama is an extension to the X Window System which enables
multi-headed X applications and window managers to use two or more
physical displays as one large virtual display.

%package -n libxcb-xinput0
Summary:        X11 XInput Extension C library
Group:          System/Libraries

%description -n libxcb-xinput0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

Xinput is an extension to the X Window System intended to replace
core input processing.

%package -n libxcb-xtest0
Summary:        X11 XTEST Extension C library
Group:          System/Libraries

%description -n libxcb-xtest0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

The XTEST extension is a minimal set of client and server extensions
required to completely test the X11 server with no user intervention.
This extension is not intended to support general journaling and
playback of user actions.

%package -n libxcb-xv0
Summary:        X11 video Extension C library
Group:          System/Libraries

%description -n libxcb-xv0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

The X Video Extension (Xv) extension provides support for video
adaptors attached to an X display. It takes the approach that a
display may have one or more video adaptors, each of which has one or
more ports through which independent video streams pass.

%package -n libxcb-xvmc0
Summary:        X11 Video Motion Compensation Extension C library
Group:          System/Libraries

%description -n libxcb-xvmc0
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

X-Video Motion Compensation (XvMC), is an extension of the X video
extension (Xv) for the X Window System. The XvMC API allows video
programs to offload portions of the video decoding process to the GPU
video-hardware.

%package devel
Summary:        Development files for the X11 protocol C library
Group:          Development/Libraries/C and C++
Requires:       libxcb-composite0 = %{version}
Requires:       libxcb-damage0 = %{version}
Requires:       libxcb-dpms0 = %{version}
Requires:       libxcb-dri2-0 = %{version}
Requires:       libxcb-dri3-0 = %{version}
Requires:       libxcb-glx0 = %{version}
Requires:       libxcb-present0 = %{version}
Requires:       libxcb-randr0 = %{version}
Requires:       libxcb-record0 = %{version}
Requires:       libxcb-render0 = %{version}
Requires:       libxcb-res0 = %{version}
Requires:       libxcb-screensaver0 = %{version}
Requires:       libxcb-shape0 = %{version}
Requires:       libxcb-shm0 = %{version}
Requires:       libxcb-sync1 = %{version}
Requires:       libxcb-xf86dri0 = %{version}
Requires:       libxcb-xfixes0 = %{version}
Requires:       libxcb-xinerama0 = %{version}
Requires:       libxcb-xinput0 = %{version}
Requires:       libxcb-xkb1 = %{version}
Requires:       libxcb-xtest0 = %{version}
Requires:       libxcb-xv0 = %{version}
Requires:       libxcb-xvmc0 = %{version}
# O/P added for 12.2
Provides:       xorg-x11-libxcb-devel = 7.6_%{version}-%{release}
Obsoletes:      xorg-x11-libxcb-devel < 7.6_%{version}-%{release}

%description devel
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

This package contains the development headers for the library found
in %{lname}.

%package devel-doc
Summary:        Documentation for libxcb
Group:          Documentation/Man
BuildArch:      noarch

%description devel-doc
The X protocol C-language Binding (XCB) is a replacement for Xlib
featuring a small footprint, latency hiding, direct access to the
protocol, improved threading support, and extensibility.

This subpackage contains the manual pages and documentation for
libxcb.

%prep
%setup -q
%patch1
%patch2 -p1
%patch3 -p1

%build
./autogen.sh
%configure --docdir=%{_docdir}/%{name} \
           --disable-static \
           --enable-xinput \
           --enable-xkb \
           --enable-sendfds
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post   -n libxcb1 -p /sbin/ldconfig
%postun -n libxcb1 -p /sbin/ldconfig
%post   -n libxcb-composite0 -p /sbin/ldconfig
%postun -n libxcb-composite0 -p /sbin/ldconfig
%post   -n libxcb-damage0 -p /sbin/ldconfig
%postun -n libxcb-damage0 -p /sbin/ldconfig
%post   -n libxcb-dpms0 -p /sbin/ldconfig
%postun -n libxcb-dpms0 -p /sbin/ldconfig
%post   -n libxcb-dri2-0 -p /sbin/ldconfig
%postun -n libxcb-dri2-0 -p /sbin/ldconfig
%post   -n libxcb-dri3-0 -p /sbin/ldconfig
%postun -n libxcb-dri3-0 -p /sbin/ldconfig
%post   -n libxcb-glx0 -p /sbin/ldconfig
%postun -n libxcb-glx0 -p /sbin/ldconfig
%post   -n libxcb-randr0 -p /sbin/ldconfig
%postun -n libxcb-randr0 -p /sbin/ldconfig
%post   -n libxcb-record0 -p /sbin/ldconfig
%postun -n libxcb-record0 -p /sbin/ldconfig
%post   -n libxcb-render0 -p /sbin/ldconfig
%postun -n libxcb-render0 -p /sbin/ldconfig
%post   -n libxcb-res0 -p /sbin/ldconfig
%postun -n libxcb-res0 -p /sbin/ldconfig
%post   -n libxcb-screensaver0 -p /sbin/ldconfig
%postun -n libxcb-screensaver0 -p /sbin/ldconfig
%post   -n libxcb-shape0 -p /sbin/ldconfig
%postun -n libxcb-shape0 -p /sbin/ldconfig
%post   -n libxcb-shm0 -p /sbin/ldconfig
%postun -n libxcb-shm0 -p /sbin/ldconfig
%post   -n libxcb-sync1 -p /sbin/ldconfig
%postun -n libxcb-sync1 -p /sbin/ldconfig
%post   -n libxcb-present0 -p /sbin/ldconfig
%postun -n libxcb-present0 -p /sbin/ldconfig
%post   -n libxcb-xf86dri0 -p /sbin/ldconfig
%postun -n libxcb-xf86dri0 -p /sbin/ldconfig
%post   -n libxcb-xfixes0 -p /sbin/ldconfig
%postun -n libxcb-xfixes0 -p /sbin/ldconfig
%post   -n libxcb-xkb1 -p /sbin/ldconfig
%postun -n libxcb-xkb1 -p /sbin/ldconfig
%post   -n libxcb-xinerama0 -p /sbin/ldconfig
%postun -n libxcb-xinerama0 -p /sbin/ldconfig
%post   -n libxcb-xinput0 -p /sbin/ldconfig
%postun -n libxcb-xinput0 -p /sbin/ldconfig
%post   -n libxcb-xtest0 -p /sbin/ldconfig
%postun -n libxcb-xtest0 -p /sbin/ldconfig
%post   -n libxcb-xv0 -p /sbin/ldconfig
%postun -n libxcb-xv0 -p /sbin/ldconfig
%post   -n libxcb-xvmc0 -p /sbin/ldconfig
%postun -n libxcb-xvmc0 -p /sbin/ldconfig

%files -n libxcb1
%{_libdir}/libxcb.so.1*

%files -n libxcb-composite0
%{_libdir}/libxcb-composite.so.0*

%files -n libxcb-damage0
%{_libdir}/libxcb-damage.so.0*

%files -n libxcb-dpms0
%{_libdir}/libxcb-dpms.so.0*

%files -n libxcb-dri2-0
%{_libdir}/libxcb-dri2.so.0*

%files -n libxcb-dri3-0
%{_libdir}/libxcb-dri3.so.0*

%files -n libxcb-glx0
%{_libdir}/libxcb-glx.so.0*

%files -n libxcb-randr0
%{_libdir}/libxcb-randr.so.0*

%files -n libxcb-record0
%{_libdir}/libxcb-record.so.0*

%files -n libxcb-render0
%{_libdir}/libxcb-render.so.0*

%files -n libxcb-res0
%{_libdir}/libxcb-res.so.0*

%files -n libxcb-screensaver0
%{_libdir}/libxcb-screensaver.so.0*

%files -n libxcb-shape0
%{_libdir}/libxcb-shape.so.0*

%files -n libxcb-shm0
%{_libdir}/libxcb-shm.so.0*

%files -n libxcb-sync1
%{_libdir}/libxcb-sync.so.1*

%files -n libxcb-present0
%{_libdir}/libxcb-present.so.0*

%files -n libxcb-xf86dri0
%{_libdir}/libxcb-xf86dri.so.*

%files -n libxcb-xfixes0
%{_libdir}/libxcb-xfixes.so.*

%files -n libxcb-xkb1
%{_libdir}/libxcb-xkb.so.1*

%files -n libxcb-xinerama0
%{_libdir}/libxcb-xinerama.so.0*

%files -n libxcb-xinput0
%{_libdir}/libxcb-xinput.so.0*

%files -n libxcb-xtest0
%{_libdir}/libxcb-xtest.so.0*

%files -n libxcb-xv0
%{_libdir}/libxcb-xv.so.0*

%files -n libxcb-xvmc0
%{_libdir}/libxcb-xvmc.so.0*

%files devel
%{_includedir}/xcb
%{_libdir}/libxcb*.so
%{_libdir}/pkgconfig/xcb*.pc

%files devel-doc
%{_docdir}/%{name}
%{_mandir}/man3/xcb*

%changelog
* Tue Aug 14 2018 msrb@suse.com
- u_don-t-flag-extra-reply-in-xcb_take_socket.patch
  * Fix IO errors with KWin in combination with NVIDIA driver.
    (bnc#1101560)
* Mon Mar  5 2018 sndirsch@suse.com
- Update to version 1.13
  * As with xcb-proto, this release mainly enables multi-planar buffers in
    DRI3 v1.2 via support for variable-sized lists of FDs, and enables
    sending GenericEvents to other clients. Present v1.2 and RandR v1.6
    did not require any specific library changes.
- supersedes U_add-support-for-eventstruct.patch,
  u_build_python3.patch
* Wed Jan 17 2018 tchvatal@suse.com
- Really conditionalize the python3 option to allow us building
  without any python2 present
  * u_build_python3.patch
- Convert to pkgconfig style deps
- Format bit with spec-cleaner
* Mon Jan  8 2018 msrb@suse.com
- Enable xinput extension. (bnc#1074249)
- U_add-support-for-eventstruct.patch
  * Update xinput to the state when it was enabled by default
    upstream.
* Fri Jan  5 2018 msrb@suse.com
- n_If-auth-with-credentials-for-hostname-fails-retry-with-XAUTHLOCALHOSTNAME.patch
  * Prevent infinite loop also in case DISPLAY is non-local.
* Wed Dec 20 2017 aaronpuchert@alice-dsl.net
- Use spaces instead of tabs in the patches (as does the original
  source code) to avoid confusion.
- n_If-auth-with-credentials-for-hostname-fails-retry-with-XAUTHLOCALHOSTNAME.patch
  * If authentication (with *stage == 0) failed and the variable
    XAUTHLOCALHOSTNAME wasn't set, we were never getting to stage 2
    in the original patch, causing calls to xcb_connect_to_display
    to be stuck in an infinite loop.
    Now we also go to stage 2 if the variable isn't set.
* Mon Dec 11 2017 sndirsch@suse.com
- fixes build against python3 (package rename of
  python-xcb-proto-devel to python3-xcb-proto-devel)
* Thu Nov 30 2017 msrb@suse.com
- n_If-auth-with-credentials-for-hostname-fails-retry-with-XAUTHLOCALHOSTNAME.patch
  * Modify this patch to do what it say - retry not only if the current hostname is
    not found in the xauthority file, but also when it is rejected by X server.
    (bnc#1043221)
* Thu May 19 2016 sndirsch@suse.com
- Update to version 1.12
  * here is a new version of libxcb for you to enjoy. The
    highlights are the same as for the new xcb-proto release:
    xinput support, RandR 1.5 and an automatic alignment checker.
- removed libxcb-xevie0/libxcb-xprint0 subpackages
* Wed Dec 23 2015 eich@suse.com
- n_If-auth-with-credentials-for-hostname-fails-retry-with-XAUTHLOCALHOSTNAME.patch:
  If auth with credentials for hostname fails retry with XAUTHLOCALHOSTNAME
  (boo#906622).
* Sun Sep  6 2015 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.11.1:
  This fixes some threading-related bugs with
  xcb_wait_for_special_event() and adds 64-bit versions of
  functions that work with sequence numbers.
* Wed Aug  6 2014 sndirsch@suse.com
- added baselibs.conf as source to specfile
* Tue Aug  5 2014 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.11:
  This fixes some bugs with 64 bit fields and the present extension.
* Sun Apr 27 2014 sndirsch@suse.com
- added missing python-xcb-proto-devel >= 7.6_1.10.1 BuildRequires
* Thu Apr 24 2014 tobias.johannes.klausmann@mni.thm.de
- Update to a newer snapshot
- Add missing BuildRequires
* Tue Mar 18 2014 sndirsch@suse.com
- remove URL in specfile sourceline for snapshot tarball in the
  hope to be accepted by buildservice now
* Tue Mar 18 2014 sndirsch@suse.com
- update to current git commit 4ffa6f8 to match current xcb-proto
  git sources
* Sun Dec 22 2013 hrvoje.senjan@gmail.com
- Update to version 1.10:
  + Bump libxcb-xkb SONAME due to ABI break introduced in 1.9.2
  + Enable libxcb-xkb by default
  + Bump libxcb-sync SONAME
  + c_client.py: Fix _sizeof() functions
  + c_client.py: Do not create pointers in unions
  + c_client.py: Always initialize xcb_align_to
  + Re-introduce xcb_ge_event_t (deprecated, xcb_ge_generic_event_t
    should be used instead)
  + Fix alignment issues in FD passing code
  + Fix poll() if POLLIN == ROLLRDNORM|POLLRDBAND
  + Use /usr/spool/sockets/X11/ on HP-UX for UNIX sockets
  + Make xsltproc optional
* Mon Nov 25 2013 tobias.johannes.klausmann@mni.thm.de
- Fixup package descriptions
* Mon Nov 25 2013 hrvoje.senjan@gmail.com
- Adjust baselibs for new libxcb-dri3-0 and libxcb-present0 subpackages
* Fri Nov  8 2013 hrvoje.senjan@gmail.com
- Update to version 1.9.3:
  + Buildsystem fixes
* Fri Nov  8 2013 hrvoje.senjan@gmail.com
- Update to version 1.9.2:
  + New upstream release, no changelog provided
- Bump xcb-proto BuildRequires as per upstream change
- New dri3-0 and present subpackages
* Sun Oct 20 2013 jengelh@inai.de
- Split devel documentation into separate package
* Fri Aug 23 2013 hrvoje.senjan@gmail.com
- Enable xcb-xkb extension (can be used by Weston/Wayland and Qt5,
  and also upstream will build it by default in next release)
* Sat Jun  1 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.9.1:
  + Fix python code to work with python-3
  + Security fix for integer overflow in read_packet() [CVE-2013-2064]
* Tue Apr 16 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Sun Jan 27 2013 jengelh@inai.de
- Use more robust make install call
- New Git repository URLs
* Fri Oct  5 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.9:
  + Fix "sppported" typo in doxygen comment for XCB_CONN_CLOSED_EXT_NOTSUPPORTED
  + Always include "config.h" at the start of all C source files.
  + Add AC_USE_SYSTEM_EXTENSIONS to allow use of more system functionality
  + Return connection failure if display string specifies non-existent screen
  + c_client: Fix parallel-make issue creating 'man' directory
  + xcb_connect: launchd: Don't fall back on tcp if $DISPLAY is a path to a
    launchd socket
  + Allow undocumented code to be built
  + Split manpage list in two (static/built)
  + Do not list manpages, use a wildcard
  + Move static man to man
  + c_client.py: generate manpages
  + Allow xcb_send_request with >MAX_IOV iovecs
  + Add a .gitignore for src/man/
  + Fix a multi-thread deadlock
  + Include static man pages in "make dist"
- Packaging changes:
  + Pack the now static manpages in the devel package
* Wed Mar 21 2012 jengelh@medozas.de
- Update to new upstream release 1.8.1
  * Fallback to TCP if no protocol is specified and the UNIX
  connection fails
* Sun Feb 12 2012 jengelh@medozas.de
- Rename xorg-x11-libxcb to libxcb and utilize shlib policy
  (The high amount of subpackages is because libxcb essentially
  substitutes the entire libX* suite)
* Mon Jan 16 2012 vljn@ovi.com
- update libxcb to 1.8
  * Needed for Mesa to create GL3 context
* Sun Nov 20 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Dec 21 2010 sndirsch@novell.com
- bumped version number to 7.6_1.7
* Sat Sep  4 2010 sndirsch@novell.com
- update to release 1.7
- bumped version number to 7.5_1.7
- fixed Summary/Group entries in -devel package
* Sat Jul  3 2010 jengelh@medozas.de
- use gcc instead of ld, so that -m32/-m64 is passed to the linker
* Fri Apr  2 2010 sndirsch@suse.de
- bumped version number to 7.5
* Mon Dec 14 2009 jengelh@medozas.de
- add baselibs.conf as a source
* Fri Dec  4 2009 sndirsch@suse.de
- libxcb 1.5
* Tue Dec  1 2009 sndirsch@suse.de
- libxcb-1.4_2009-10-15_e82c34c.diff
  * update to git commit e82c34c (2009-10-15); required for XvMC
    support in xf86-video-intel 2.10 RC1
* Thu Jul 16 2009 sndirsch@suse.de
- libxcb 1.4
  * Add majorCode, minorCode and resourceID fields to X generic
    error
  * Fix precedence bug: wrong length for big-requests preceded by
    sync
  * Fix libxcb-randr version info
* Fri May 29 2009 sndirsch@suse.de
- libxcb 1.3
  * various issues fixed
- obsoletes commit-beccb0b.diff
* Sat May 16 2009 sndirsch@suse.de
- commit-beccb0b.diff
  * kludgily hand-merged xid fixes (bnc #423740, bfo #20254)
* Thu Apr 30 2009 eich@suse.de
- pack .la files in devel package
* Thu Apr 30 2009 sndirsch@suse.de
- reenabled build of static libs on openSUSE <= 11.1
* Tue Apr 21 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Mon Mar  2 2009 sndirsch@suse.de
- create fake libxcb-xlib.so.0 instead of faking the Provides for
  it
* Mon Mar  2 2009 ro@suse.de
- extend last fix to baselibs.conf
* Mon Mar  2 2009 sndirsch@suse.de
- fake provide libxcb-xlib.so.0
* Sun Mar  1 2009 sndirsch@suse.de
- libxcb 1.2
- obsoletes always-sloppy.diff
* Thu Sep 11 2008 sndirsch@suse.de
- bumped release number to 7.4
* Mon Jul 21 2008 sndirsch@suse.de
- back to libxcb 1.1, since libxcb 1.2-pre requires python for
  building, which requires xorg-x11-libxcb for building
  ==> autobuild loop
* Fri Jul 18 2008 sndirsch@suse.de
- libxcb 1.1.90.1
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Fri Feb 29 2008 dmueller@suse.de
- add missing %%postun ldconfig script
* Mon Nov  5 2007 sndirsch@suse.de
- always-sloppy.diff
  * This patch prints out warnings only, the assert() is completely
    gone now. As programs with this error typically trigger it
    several times, each warning is printed only once. (Bug #251087)
* Mon Nov  5 2007 sndirsch@suse.de
- xcb-proto 1.1
  * In the eleven months since XCB's 1.0 release, a few portability
    and correctness bugs have been found in libxcb. This release
    fixes those, adds nicer handling of Xlib locking bugs, updates
    pure-XCB extension support for RandR to version 1.2 and DAMAGE
    to version 1.1, and enhances the libxcb documentation.
- obsoletes sloppy-lock.diff, xcb_parse_display.diff
* Sat Sep 29 2007 sndirsch@suse.de
- bumped version to 7.3
* Tue Jul  3 2007 sndirsch@suse.de
- xcb_parse_display.diff:
  * "Attempt to include more of the original display parsing. The
    fix only attempts to address the unix: and [protocol/][host]:
    issue. It doesn't even make the attempt to mimic the behavior
    of the old code in libX11/src/ConnDis.c:_X11TransConnectDisplay().
    The patch is yet untested, it however does compile."
    (Bug #289007)
  * "Discovered two errors in my fix. One isn't likely to concern
    us as it's related to DECnet transport, the other one is real."
    (Bug #289007)
  * "This patch should fix the problem with artefacts from Bug
    [#257830] which still had been in the tree." (Bug #289007)
  * "fix segfault" (Bug #289007)
  * "fix condition" (Bug #289007)
* Tue May 29 2007 sndirsch@suse.de
- added "%%post -p /sbin/ldconfig" to specfile to make rpmlint happy
* Fri Apr 27 2007 sndirsch@suse.de
- bug-262309_xcb-xauthlocalhostname.diff:
  * add code, which checks for XAUTHLOCALHOSTNAME now also for
    libxcb, since Xtranssock.c has been replaced by XCB as
    transport layer (Bug #262309)
* Sun Mar  4 2007 sndirsch@suse.de
- sloppy-lock.diff:
  * workaround for "xcb_xlib.c:50: xcb_xlib_unlock: Assertion
    `c->xlib.lock' failed"; set LIBXCB_ALLOW_SLOPPY_LOCK to enable
    it (Bug #251087)
* Sun Dec  3 2006 sndirsch@suse.de
- created package
